<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useColumnNames](./react.usecolumnnames.md)

## useColumnNames() function

<b>Signature:</b>

```typescript
export declare function useColumnNames(table: ColumnTable | undefined, filter?: (name: string) => boolean): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  table | ColumnTable \| undefined |  |
|  filter | (name: string) =&gt; boolean | <i>(Optional)</i> |

<b>Returns:</b>

string\[\]

